Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Cab

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.Cab

public class Cab
extends MatchingTask

Create a CAB archive.

Author:
  Roger Vaughn rvaughn@seaconinc.com

Field Summary
`protected java.lang.String` | `archiveType`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Cab()`

Method Summary
`void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
`protected void` | `appendFiles(java.util.Vector files, DirectoryScanner ds)` Append all files found by a directory scanner to a vector.
`protected void` | `checkConfiguration()`
`protected Commandline` | `createCommand(java.io.File listFile)` Create the cabarc command line to use.
`protected ExecTask` | `createExec()` Create a new exec delegate.
`protected java.io.File` | `createListFile(java.util.Vector files)` Creates a list file.
`protected java.io.File` | `createTempFile(java.lang.String prefix, java.lang.String suffix)`
`void` | `execute()` Called by the project to let the task do it's work.
`protected java.util.Vector` | `getFileList()` Get the complete list of files to be included in the cab.
`protected boolean` | `isUpToDate(java.util.Vector files)` Check to see if the target is up to date with respect to input files.
`void` | `setBasedir(java.io.File baseDir)` This is the base directory to look in for things to cab.
`void` | `setCabfile(java.io.File cabFile)` This is the name/location of where to create the .cab file.
`void` | `setCompress(boolean compress)` Sets whether we want to compress the files or only store them.
`void` | `setOptions(java.lang.String options)` Sets additional cabarc options that aren't supported directly.
`void` | `setVerbose(boolean verbose)` Sets whether we want to see or suppress cabarc output.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### archiveType

    protected java.lang.String archiveType

Constructor Detail

### Cab

    public Cab()

Method Detail

### setCabfile

    public void setCabfile(java.io.File cabFile)

  This is the name/location of where to create the .cab file.

### setBasedir

    public void setBasedir(java.io.File baseDir)

  This is the base directory to look in for things to cab.

### setCompress

    public void setCompress(boolean compress)

  Sets whether we want to compress the files or only store them.

### setVerbose

    public void setVerbose(boolean verbose)

  Sets whether we want to see or suppress cabarc output.

### setOptions

    public void setOptions(java.lang.String options)

  Sets additional cabarc options that aren't supported directly.

### addFileset

    public void addFileset(FileSet set)

  Adds a set of files (nested fileset attribute).

### checkConfiguration

    protected void checkConfiguration()
                               throws BuildException

### createExec

    protected ExecTask createExec()
                           throws BuildException

  Create a new exec delegate. The delegate task is populated so that it appears in the logs to be the same task as this one.

### isUpToDate

    protected boolean isUpToDate(java.util.Vector files)

  Check to see if the target is up to date with respect to input files.
  Returns:
    true if the cab file is newer than its dependents.

### createCommand

    protected Commandline createCommand(java.io.File listFile)

  Create the cabarc command line to use.

### createTempFile

    protected java.io.File createTempFile(java.lang.String prefix,
                                          java.lang.String suffix)

### createListFile

    protected java.io.File createListFile(java.util.Vector files)
                                   throws java.io.IOException

  Creates a list file. This temporary file contains a list of all files to be included in the cab, one file per line.

### appendFiles

    protected void appendFiles(java.util.Vector files,
                               DirectoryScanner ds)

  Append all files found by a directory scanner to a vector.

### getFileList

    protected java.util.Vector getFileList()
                                    throws BuildException

  Get the complete list of files to be included in the cab. Filenames are gathered from filesets if any have been added, otherwise from the traditional include parameters.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.